%define module  Module-Info
%define	name	perl-%{module}
%define version 0.31
%define release %mkrel 4

Name: 		%{name}
Epoch:		1
Version: 	%{version}
Release: 	%{release}
Summary: 	Information about Perl modules 
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Module::Info gives you information about Perl modules without actually loading
the module.  It actually isn't specific to modules and should work on any perl
code.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root,755)
%doc Changes
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/B
%{perl_vendorlib}/Module



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.31-4mdv2009.0
+ Revision: 257855
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.31-3mdv2009.0
+ Revision: 245940
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1:0.31-1mdv2008.1
+ Revision: 136289
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.31-1mdv2008.0
+ Revision: 46653
- update to new version 0.31


* Tue Mar 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.30-1mdk
- new version

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.290-1mdk
- new version
- spec cleanup
- fix directory ownership
- rpmbuilupdate aware
- %%{1}mdk
- better summary

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.28-1mdk
- 0.28

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27-1mdk
- 0.27
- add tests, fix POD in description

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.26-1mdk
- 0.26

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24-1mdk
- 0.24

* Wed Apr 16 2003 Peter Chen <petechen@netilla.com> 0.19-1mdk
- Initial packaging.

